Bug 105873 - Add option for disabling UI scaling
Summary: Add option for disabling UI scaling
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.3.0.3 release
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Options-Dialog
  Show dependency treegraph
 
Reported: 2017-02-09 08:23 UTC by swiftgeek
Modified: 2019-08-31 16:06 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description swiftgeek 2017-02-09 08:23:44 UTC
On typical ThinkPad X200T screen (125x127dpi 1280x800) LibreOffice UI enables icon/other UI elements scaling which makes every UI element way too large even on "small" setting (ie. even on small setting it scales up more than enough for finger use on touchscreen).

Current workaround would be to run libreoffice with SAL_FORCEDPI=120 (highest value that doesn't enable scaling) but that breaks ruler and document scaling

In my opinion it would be the best to have option that would simply disables UI scaling that happens on screens over 120dpi, especially since "extra large" still makes UI touch friendly.
Comment 1 Tomaz Vajngerl 2017-02-09 08:31:52 UTC
in 5.3 the UI scaling factor 1.5x has been added in between 96 and 192 (for Win and GEN/GTK2 backend). For some users this backfires so we need a way to work around the scaling factor only.
Comment 2 QA Administrators 2018-02-10 03:33:04 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug